routes/web.php
<?php

Auth::routes();

Route::group(['middleware' => 'auth'], function () {

//home
Route::get('/','Site\SiteController@index');


//Advogado
Route::resource('/advogado', 'Advogado\AdvogadoController');


# /cliente
Route::resource('/cliente', 'Cliente\ClienteController');

# /evento
Route::resource('/tipo_eventos', 'Eventos\tipo\EventosController');

#calendario - D
Route::get('/eventos', 'Evento\EventoController@index')->name('eventos.index');
Route::post('/eventos', 'Evento\EventoController@novo')->name('evento.novo');
Route::post('/eventos_update', 'Evento\EventoController@update')->name('evento.update');

# /tipo_procesos
Route::resource('/tipo_processo', 'TipoProcesso\TipoProcessoController');

# /processos
Route::resource('/processo', 'Processo\ProcessoController');


# /vara
Route::resource('/vara', 'Vara\VaraController');

# /area_atuacao
Route::resource('/area_atuacao', 'AreaAtuacao\AreaAtuacaoController');

# /clientes
Route::get('/index',                  ['uses' => 'Cliente\ClienteController@index',   'as' => 'cliente.index']);
Route::get('/fisico',                 ['uses' => 'Cliente\ClienteController@createFisico','as' => 'cliente.fisicoCreate']);
Route::get('/juridico',               ['uses' => 'Cliente\ClienteController@createJuridico','as' => 'cliente.juridicoCreate']);
Route::post('/store-fisico',          ['uses' => 'Cliente\ClienteController@storeFisico',   'as' => 'cliente.fisicoStore']);
Route::post('/store-juridico',        ['uses' => 'Cliente\ClienteController@storeJuridico',   'as' => 'cliente.juridicoStore']);
Route::put('/update-fisico/{id}',     ['uses' => 'Cliente\ClienteController@updateFisico',    'as' => 'cliente.updateFisico']);
Route::put('/update-juridico/{id}',   ['uses' => 'Cliente\ClienteController@updateJuridico',    'as' => 'cliente.updateJuridico']);
Route::get('/edit-fisico/{id}',       ['uses' => 'Cliente\ClienteController@editFisico',    'as' => 'cliente.editFisico']);
Route::get('/edit-juridico/{id}',     ['uses' => 'Cliente\ClienteController@editJuridico',    'as' => 'cliente.editJuridico']);
Route::delete('/destroy-fisico/{id}', ['uses' => 'Cliente\ClienteController@destroyFisico', 'as' => 'cliente.destroyFisico']);
Route::delete('/destroy/{id}',        ['uses' => 'Cliente\ClienteController@destroyJuridico', 'as' => 'cliente.destroyJuridico']);





});







Auth::routes();

// Route::get('/home', 'HomeController@index')->name('home');

app/Processo.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Processo extends Model
{
    use SoftDeletes;
    protected $dates = ['deleted_at'];
    protected $fillable = [
        'valor_causa',
        'assunto',
        'reu',
        'numero_processo',
        'cliente_id',
        'tipo_processo_id',
        'vara_id',
        'statu_id',
    ];


    public function cliente(){

        return  $this->belongsTo('App\Cliente','cliente_id');

    }
    public function tipoProcesso(){

        return  $this->belongsTo('App\TipoProcesso');

    }
    public function vara(){

        return  $this->belongsTo('App\Vara');

    }
    public function advogado(){

        return  $this->belongsTo('App\Advogado');

    }
    public function statu(){

        return  $this->belongsTo('App\Statu');

    }
  


}

app/Http/Controllers/Eventos/tipo/EventosController.php
<?php

namespace App\Http\Controllers\Eventos\tipo;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\TipoEvento;

class EventosController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $title="Cadastro Tipo de Eventos";
        $eventos = TipoEvento::all();
        return view('eventos.tipo.index', ['eventos' => $eventos],compact('title'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $title="Cadastro de Eventos";
        return view('eventos.tipo.create',compact('title'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $eventos = new TipoEvento($request->all()); 
        $eventos->save();
        return redirect(route('tipo_eventos.index') );
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $title = "Editar Evento";
        $eventos = TipoEvento::find($id);
        return view('eventos.tipo.edit', array('eventos'=>$eventos),compact('title'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $eventos = TipoEvento::find($id);
        $eventos->update($request->all());
        $eventos->save();

        return redirect(route('tipo_eventos.index'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $eventos = TipoEvento::findOrFail($id);       
        $eventos->delete();                              
        return redirect()->route('tipo_eventos.index');
    }
}

app/Http/Controllers/Processo/ProcessoController.php
<?php

namespace App\Http\Controllers\Processo;

use App\Processo;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Cliente;
use App\TipoProcesso;
use App\Vara;
use App\Advogado;
use App\Statu;
use App\AdvogadoProcesso;


class ProcessoController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $title=" Processos";
        $processos = Processo::all();
        // return $processos;
        return view('processo.index', ['processos'=> $processos],compact('title'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $title="Cadastrar Processos";
        $clientes = Cliente::all();
        $tipoProcessos = TipoProcesso::all();
        $varas = Vara::all();
        $advogados = Advogado::all();
        $Status = Statu::all();
        return view('processo.create',compact('title','clientes','tipoProcessos','varas','advogados','Status'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
       
        // dd($request);
        $processo = new Processo($request->all());
        $processo->save();

        
        if($processo->id){


            $AreaAtuacaos = ($request->advogado_id);

    
            for ($i=0; $i < count($AreaAtuacaos) ; $i++) { 
                $AdvogadoProcessos = new AdvogadoProcesso;   //objeto precisa ser instaciado novamente!!
                $AdvogadoProcessos->processo_id = $processo->id;
                $AdvogadoProcessos->advogado_id = $AreaAtuacaos[$i];
                $AdvogadoProcessos->save();
            }
         
             return redirect(route('processo.index') );

        }else{
            return redirect(route('processo.create') );
        }

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $title ="Detalhes";
        $advogados = AdvogadoProcesso::where('processo_id',$id)->get();
        $processo = Processo::find($id);
        return view('processo.show', array('processo'=>$processo),compact('title','advogados'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $title=" Editar Processos";
        $processos = Processo::find($id);
        $clientes = Cliente::all();
        $tipoProcessos = TipoProcesso::all();
        $varas = Vara::all();
        $advogados = Advogado::all();
        $Status = Statu::all();
        $advogadoProcessos = AdvogadoProcesso::where('processo_id',$id)->get();
        return view('processo.edit', ['processos'=> $processos],compact('title','clientes','tipoProcessos','varas','advogados','Status','advogadoProcessos'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $processo = Processo::find($id);
        $processo->update($request->all());
        $processo->save();

        if($processo->id){


            $AreaAtuacaos = ($request->advogado_id);

    
            for ($i=0; $i < count($AreaAtuacaos) ; $i++) { 
                $AdvogadoProcessos = new AdvogadoProcesso;   //objeto precisa ser instaciado novamente!!
                $AdvogadoProcessos->processo_id = $processo->id;
                $AdvogadoProcessos->advogado_id = $AreaAtuacaos[$i];
                $AdvogadoProcessos->save();
            }
         
             return redirect(route('processo.index') );

        }else{
            return redirect(route('processo.create') );
        }

        return redirect(route('processo.index'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $processo = Processo::find($id);
        $processo->delete();

        return redirect(route('processo.index'));
    }
}

resources/views/Processo/Tipo/Create.blade.php
{{-- Date: 2019-03-24
     By: Kelvin
--}}
@extends('layouts.app1')
@section('conteudo')

         {{-- laravel collective form --}}
         {{ Form::open([ 'method'  => 'POST', 'route' => [ 'tipo_processo.store' ] ]) }}
         @csrf   
        <div class="row">
            <div class="col-xs-3">
                <input type="text" class="form-control" name="nome" placeholder="Nome Tipo Processo" required>
            </div>
        </div><br>
            <!-- Submit -->
                <a href=" {{route('advogado.index')}} " class="btn btn-info btn-sm">Voltar</a>
                {{Form::reset('Limpar', ['class'=>'btn  btn-default btn-sm'])}}
                {{Form::submit('Enviar', ['class'=>'btn btn-success btn-sm'])}}
            
            {{ Form::close() }}
         
@endsection

resources/views/Processo/Tipo/edit.blade.php
@extends('layouts.app1')
@section('conteudo')

{{ Form::open(['method'=>'PUT', 'route'=>['tipo_processo.update', $tipo_processo->id ] ]) }}
@csrf   

    <div class="row">
            <div class="col-xs-3">
                <label for="nome">Nome do Tipo de Processo</label>
            <input id="nome" value="{{  $tipo_processo->nome }}" type="text" class="form-control" name="nome" placeholder="Nome Tipo Processo" required>
            </div>
        </div><br>

    <br>
   <!-- Submit -->
       <a href=" {{route('tipo_processo.index')}} " class="btn btn-info btn-sm">Voltar</a>
       {{Form::reset('Limpar', ['class'=>'btn  btn-default btn-sm'])}}
       {{Form::submit('Enviar', ['class'=>'btn btn-success btn-sm'])}}
   
   {{ Form::close() }}
    
@endsection

resources/views/Processo/Tipo/index.blade.php
@extends('layouts.app1')
@section('conteudo')
<a href="{{ route('tipo_processo.create')  }}" class="btn  btn-info"><i class="glyphicon glyphicon-plus"></i> Novo Tipo de Processo</a><br><br>

          

<div class="col-xs-12">
        <!-- /.box-header -->
        <div class="box-body table-responsive no-padding">
          <table class="table table-hover">
            <tbody><tr>
              <th>ID</th>
              <th>Nome</th>
              <th class="text-center">Ação</th>
            </tr>
            <tr>
              @foreach ($tipo_processos as $tipo_processo)
              <tr>
                  <th>{{ $tipo_processo->id }}</th>
                  <td>{{$tipo_processo->nome}}</td>
                  <td class="text-center"> 
                      {{ Form::open([ 'method'  => 'DELETE', 'route' => [ 'tipo_processo.destroy', $tipo_processo->id ], 'onsubmit' => 'return confirm("Confirmar exclusão?")' ]) }}
                      @csrf
                      <a href="tipo_processo/{{ $tipo_processo->id }}/edit " class="btn btn-warning">Editar</a>
                      {{ Form::submit('Excluir',['class' => 'btn btn-danger']) }}
                      {{ Form::close() }}
                  </td>
              </tr>                
              @endforeach
          </tbody>
        {{-- </table> --}}
        </div>

    
@endsection